Re: Building gnome-shell with normal jhbuild

please, reply to the list and not to me. I'm subscribed.

On Sat, 2009-04-25 at 16:38 +0200, Jaap A. Haitsma wrote:
> On Sat, Apr 25, 2009 at 15:41, Emmanuele Bassi <ebassi linux intel com> wrote:
> > On Sat, 2009-04-25 at 15:33 +0200, Jaap A. Haitsma wrote:
> >
> >> I'm trying to do this but now I am running into a problem that
> >> metacity-clutter does not want to build because Clutter-0.9.gir does
> >> not exist. I need clutter-trunk installed because otherwise
> >> gnome-shell does not build. The reason why Clutter-0.9.gir does not
> >> exist seems to be that gir-repository doesn't generate the gir files
> >> for 0.9 it only does this for 0.8
> >>
> >> Any suggestions?
> >
> > gnome-shell depends on clutter-0.9, which provides the introspection
> > data automatically. GNOME, on the other hand, depends on clutter-0.8
> > since it's the current stable release.
> >
> metacity-clutter is asking for clutter-0.9.gir
> See my buildoutput
> Is this a bug in metacity-clutter?

could you please re-read what I wrote in my reply? gnome-shell depends
on clutter-0.9; the default GNOME external modules moduleset for the
"normal" jhbuild only provides clutter-0.8 because it's the stable
release. while clutter-0.8 introspection data is provided by
gir-repository, the required clutter-0.9 introspection data is provided
by clutter-0.9 itself.

so, in short: "normal" jhbuild does not provide the correct dependencies
for gnome-shell. you should be using the gnome-shell moduleset, which
lists the correct set of dependencies.


Emmanuele Bassi, Senior Engineer        | emmanuele bassi intel com
Intel Open Source Technology Center     |

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]